﻿#ifndef INFO_SHOW_H
#define INFO_SHOW_H

#include <QWidget>
#include <QPainter>
#include <QTimer>

#include"info_show_2.h"
namespace Ui {
class info_show;
}

class info_show : public QWidget
{
    Q_OBJECT

public:
    explicit info_show(QWidget *parent = nullptr);
    ~info_show();
	void setStartPos(int startX);

	void setTriangleInfo(int width, int height);
	
	void setCenterWidget(QWidget* widget);
	QString _displayName;
	QString _shareUrl;
	QString _meetingNum;
	QString _password;
	int x;
	int y;
	info_show_2*info = nullptr;
private:
    Ui::info_show *ui;
	void paintEvent(QPaintEvent *event);

	int m_startX;
	int m_triangleWidth;
	int m_triangleHeight;

	QTimer*timer;

private slots:
	void onTimerEvent();
    void on_pushButton_CopyNum_clicked();
    void on_pushButton_Copylink_clicked();
    void on_pushButton_CopyNum_2_clicked();
};

#endif // INFO_SHOW_H
