﻿#ifndef BASEWIDGET_H
#define BASEWIDGET_H

#include <QWidget>
#include <QMouseEvent>
#include <QDebug>

class BaseWidget : public QWidget
{

public:
    explicit BaseWidget(QWidget *parent = 0);
    virtual ~BaseWidget();

protected:
    QString readStyleSheet(const QString& filePath);

protected:
    void mouseMoveEvent (QMouseEvent *);
    void mousePressEvent (QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);

private:
    QPoint _position;
    bool _isPressed;
};

#endif // BASEWIDGET_H
