﻿#ifndef DEVICEMANAGER_H
#define DEVICEMANAGER_H

#include <QDialog>
#include <QMouseEvent>
#include <QScopedPointer>
#include "NemoSdkAdaptor.h"

namespace Ui {
class DeviceManager;
}

class DeviceManager : public QDialog
{
    Q_OBJECT

public:
    explicit DeviceManager(QDialog *parent = nullptr);
    ~DeviceManager();

protected:
    void mouseMoveEvent (QMouseEvent *);
    void mousePressEvent (QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);

public slots:
    void onSpeakerValueChanged(int value);

private:
    Ui::DeviceManager *ui;
    QPoint m_Position;
    bool isPressed;
};

#endif // DEVICEMANAGER_H
