#include "info_show_2.h"
#include "ui_info_show_2.h"

#pragma execution_character_set("utf-8")
info_show_2::info_show_2(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::info_show_2)
{
    ui->setupUi(this);
	setWindowFlags(Qt::FramelessWindowHint);
	setAttribute(Qt::WA_TranslucentBackground);
	ui->label->setStyleSheet("color:grey;font:20px;");
	ui->label->setAlignment(Qt::AlignCenter);
}
void info_show_2::paintEvent(QPaintEvent *event)
{
	QPainter painter(this);
	painter.setRenderHint(QPainter::Antialiasing);  // ;
	QRgb rgb = 0xffffff;
	painter.setBrush(QBrush(QColor::fromRgb(rgb)));
	painter.setPen(Qt::transparent);
	QRect rect = this->rect();
	rect.setWidth(rect.width() - 1);
	rect.setHeight(rect.height() - 1);
	painter.drawRoundedRect(rect, 5, 5);
	QWidget::paintEvent(event);

}

info_show_2::~info_show_2()
{
    delete ui;
}

void info_show_2::setText(int num)
{
	if (num == 1)
	{
		ui->label->setText("ƻҺѸƵа");
	}
	else
	{
		ui->label->setText("ѸƵа");
	}
}
